Loading...
Searching...
No Matches
Gfx::EngineBaseObject Struct Reference

## Public Member Functions

void | LoadDefault ()

## Public Attributes

bool | used = false
| If true, base object is valid in objects vector.
int | totalTriangles = 0
| Number of triangles.
Math::Vector | bboxMin
| Bounding box min (origin 0,0,0 always included).
Math::Vector | bboxMax
| bounding box max (origin 0,0,0 always included)
Math::Sphere | boundingSphere
| A bounding sphere that contains all the vertices in this EngineBaseObject.
std::vector< EngineBaseObjTexTier > | next
| Next tier (Tex).

## Member Data Documentation

## used

bool Gfx::EngineBaseObject::used = false

If true, base object is valid in objects vector.

## totalTriangles

int Gfx::EngineBaseObject::totalTriangles = 0

Number of triangles.

## bboxMin

Math::Vector Gfx::EngineBaseObject::bboxMin

Bounding box min (origin 0,0,0 always included).

## bboxMax

Math::Vector Gfx::EngineBaseObject::bboxMax

bounding box max (origin 0,0,0 always included)

## boundingSphere

Math::Sphere Gfx::EngineBaseObject::boundingSphere

A bounding sphere that contains all the vertices in this EngineBaseObject.

## next

std::vector<EngineBaseObjTexTier> Gfx::EngineBaseObject::next

Next tier (Tex).

The documentation for this struct was generated from the following file:

- src/graphics/engine/engine.h